Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Checkpoints

Save sampler weights

POST /fine_tuning/sessions/{sessionId}/checkpoint_sample

Save sampler-compatible weights without optimizer state for generation. Poll the returned request identifier before sampling from the checkpoint.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

FineTuningSessions=V1Preview

Path parameters

sessionId string required

Identifier of the fine-tuning session whose sampler weights will be saved.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Explicit checkpoint identifier or sequence identifiers for the sampler weights.

Content-Type: application/json
path string

Explicit sampler checkpoint identifier. Required unless both sequence identifiers are supplied.

sampling_session_seq_id integer

Ordinal of this sampling session within the training run. Required with seq_id when path is omitted.

seq_id integer

Training step sequence number. Required with sampling_session_seq_id when path is omitted.

type enum

Existing request command tag for saving sampler-compatible weights. If omitted, the service defaults to "save_weights_for_sampler".

save_weights_for_sampler

Responses

The request has succeeded.

Body

Content-Type: application/json
request_id string required

Request identifier to pass to the session's request-status endpoint.

status enum required

Indicates that the request has not yet completed.

pending

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

POST /fine_tuning/sessions/{sessionId}/checkpoint_sample HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026